phrRunString {phreeqc} | R Documentation

## Runs phreeqc using the given string as input.

### Description

Runs phreeqc using the given string as input. Returns the number of errors encountered during the run.

### Usage

    phrRunString(input)

### Arguments

`input` | character vector containing phreeqc input

### Details

The `RunString` method cannot be called until a database has been successfully loaded by one of the following the LoadDatabase methods `phrLoadDatabase`, `phrLoadDatabaseString`.

### Value

This function returns NULL on success.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Run: `phrRunAccumulated`, `phrRunFile`

### Examples

    #
    # This example accumulates phreeqc input into a character vector
    # and runs it.
    #

    # load phreeqc.dat file
    phrLoadDatabaseString(phreeqc.dat)

    # create input
    input <- vector()
    input <- c(input, "SOLUTION 1")
    input <- c(input, "  temp 25.0")
    input <- c(input, "  pH    7.0")

    # turn on output
    phrSetOutputFileOn(TRUE)

    # run input
    phrRunString(input)
    cat(paste("see", phrGetOutputFileName(), "."))

[Package phreeqc version 3.4.10 Index]